##########################################################################################################
# mlb - multimedia lecture board 
# Copyright 1999 - 2003
# 
# University of Mannheim, Germany
# University of Freiburg, Germany
#
# Development:
# Leader: Juergen Vogel
# Team Mannheim: Juergen Vogel, Marcel Busse, Andrius Kurtinaitis, and Werner Geyer.
# Team Freiburg: Gabriela Maass, Jochen Lienhard, and Tobias Lauer.
#
# Development was sponsored by DFN (ANETTE project).
#
# License Information:
# The mlb uses the following libraries: Tcl/Tk, BWidgets, ImageMagick, FreeType, RTP/I and SMP
# 
# This program is free software; you can redistribute it and/or modify it under the terms of 
# the GNU General Public License as published by the Free Software Foundation; either version 2 
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
# without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#
# See the GNU General Public License for more details.
# The GNU General Public License can be obtained under http://www.gnu.org/licenses/gpl.html
#
# The Universities of Mannheim and Freiburg will appreciate receiving any enhancements and 
# modifications of this software made by others.
#
# Contact:
# Juergen Vogel - vogel@informatik.uni-mannheim.de
# www.informatik.uni-mannheim.de/informatik/pi4/projects/mlb
#
##########################################################################################################

namespace eval OnlinePointer {
    variable name
    variable ptype

    set ptype(0) {
	{pointer_ro}
	{../gifs/pointer_ro.gif}
    }
    set ptype(1) {
	{pointer_ru}
	{../gifs/pointer_ru.gif}
    }
    set ptype(2) {
	{pointer_lo}
	{../gifs/pointer_lo.gif}
    }
    set ptype(3) {
	{pointer_lu}
	{../gifs/pointer_lu.gif}
    }

    foreach entry [array names OnlinePointer::ptype] {
	set name [lindex $OnlinePointer::ptype($entry) 1]
	image create photo pImg$entry -file $name
    }
}


namespace eval PointerOptions {
    #Used for Pointer Options dialog
    variable color
    variable type
    variable w
        
}

proc PointerOptions::Run {} {
    variable color
    variable type
    variable w

    set color $Attributes::pointerColor
    set type $Attributes::pointerType
    
    set w [toplevel .pointerSelector]
    wm withdraw $w
    wm title $w "TelePointer Options"
    catch {wm iconbitmap $w "../bin/mlb.ico"}
    wm geometry $w +[winfo pointerx .]+[winfo pointery .]
    wm group $w .

  frame $w.fr1 -relief groove -borderwidth 2
  foreach i {0 1 2 3} {
    radiobutton $w.fr1.$i -image pImg$i -value $i -variable PointerOptions::type
    pack $w.fr1.$i -side left -padx 5
   
  }
  

  frame $w.fr2 
  button $w.fr2.ok -text "Ok" -command {set Attributes::pointerType \
         $PointerOptions::type; set Attributes::pointerColor $PointerOptions::color; \
         destroy $PointerOptions::w } -width 10 -default active
  button $w.fr2.cancel -text "Cancel" -command {destroy $PointerOptions::w } \
         -width 10
  foreach i {ok cancel} {pack $w.fr2.$i -side left -padx 10}

# testin
# label $w.fr2.radio -textvariable PointerOptions::type
#  pack $w.fr2.radio -side top -pady 10 
#  label $w.fr2.color -textvariable PointerOptions::color
#  pack $w.fr2.color -side top -pady 10
# testin

  frame $w.fr3 -relief groove -borderwidth 2 
  SelectColor $w.fr3.clr -variable PointerOptions::color -type menubutton -title "Pointer Color" \
	      -command "raise $w; focus -force $w"
  label $w.fr3.clrlbl -text Color 
  pack $w.fr3.clrlbl -side left -padx 10 -pady 10
  pack $w.fr3.clr -side left -padx 10 -pady 10
  
  pack $w.fr1 -side top -padx 5 -pady 5 -ipady 10  -fill x
  pack $w.fr3 -side top -padx 5 -pady 5 -fill x
  pack $w.fr2 -side top -pady 10
  

  bind $w <Escape> "$w.fr2.cancel invoke"
  wm resizable $w 0 0
  focus $w.fr2.ok
  grab set $w
  wm deiconify $w

#tok
}
