/***********************************************************************************************************
 * mlb - multimedia lecture board 
 * Copyright 1999 - 2003
 * 
 * University of Mannheim, Germany
 * University of Freiburg, Germany
 *
 * Development:
 * Leader: Juergen Vogel
 * Team Mannheim: Juergen Vogel, Marcel Busse, Andrius Kurtinaitis, and Werner Geyer.
 * Team Freiburg: Gabriela Maass, Jochen Lienhard, and Tobias Lauer.
 *
 * Development was sponsored by DFN (ANETTE project).
 *
 * License Information:
 * The mlb uses the following libraries: Tcl/Tk, BWidgets, ImageMagick, FreeType, RTP/I and SMP
 * 
 * This program is free software; you can redistribute it and/or modify it under the terms of 
 * the GNU General Public License as published by the Free Software Foundation; either version 2 
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * See the GNU General Public License for more details.
 * The GNU General Public License can be obtained under http://www.gnu.org/licenses/gpl.html
 *
 * The Universities of Mannheim and Freiburg will appreciate receiving any enhancements and 
 * modifications of this software made by others.
 *
 * Contact:
 * Juergen Vogel - vogel@informatik.uni-mannheim.de
 * www.informatik.uni-mannheim.de/informatik/pi4/projects/mlb
 *
 **********************************************************************************************************

 program : mlb_types.h
 authors : Gabriela Maass, Juergen Vogel
 date    : 18.02.2000
 desc    : 

***********************************************************************************************************/



#ifndef __MLB_TYPES__
#define __MLB_TYPES__

#ifdef WIN32
#  pragma warning (disable: 4786)
#endif

#include <string>

namespace MLB {
  
  class Action {
  public:
      enum type {
	BEGIN = 0,
	CONTINUE = 1,
	END = 2,
	SHOWLINE = 3
      };
  };

  typedef std::string Color;
  typedef std::string Style;

  class Point {
  public:
    int x;
    int y;
    int nr;

    Point (int _x, int _y) {x = _x; y = _y; nr = -1;}
  };

  typedef struct {
    int baseX;
    int baseY;
  } LineInfo; 

  struct Delta {
    Delta(int _dx, int _dy) : dx(_dx), dy(_dy) {}
    int dx;
    int dy;
  };

}

#endif
