/***********************************************************************************************************
 * mlb - multimedia lecture board 
 * Copyright 1999 - 2003
 * 
 * University of Mannheim, Germany
 * University of Freiburg, Germany
 *
 * Development:
 * Leader: Juergen Vogel
 * Team Mannheim: Juergen Vogel, Marcel Busse, Andrius Kurtinaitis, and Werner Geyer.
 * Team Freiburg: Gabriela Maass, Jochen Lienhard, and Tobias Lauer.
 *
 * Development was sponsored by DFN (ANETTE project).
 *
 * License Information:
 * The mlb uses the following libraries: Tcl/Tk, BWidgets, ImageMagick, FreeType, RTP/I and SMP
 * 
 * This program is free software; you can redistribute it and/or modify it under the terms of 
 * the GNU General Public License as published by the Free Software Foundation; either version 2 
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * See the GNU General Public License for more details.
 * The GNU General Public License can be obtained under http://www.gnu.org/licenses/gpl.html
 *
 * The Universities of Mannheim and Freiburg will appreciate receiving any enhancements and 
 * modifications of this software made by others.
 *
 * Contact:
 * Juergen Vogel - vogel@informatik.uni-mannheim.de
 * www.informatik.uni-mannheim.de/informatik/pi4/projects/mlb
 *
 **********************************************************************************************************

 program : pointer.h
 authors : Gabriela Maass, 
 date    : 18.02.2000
 desc    : 

 **********************************************************************************************************/

#ifdef WIN32
#  pragma warning (disable: 4305)
#  pragma warning (disable: 4309)
#endif


/* little cross */ 

#define point_width 5
#define point_height 5
#define point_x_hot 2
#define point_y_hot 2
static char point_bits[] = {
   0x11, 0x0a, 0x04, 0x0a, 0x11};

static char *point_data = "{ \
#define point_width 5 \
#define point_height 5 \
#define point_x_hot 2 \
#define point_y_hot 2 \
static char point_bits[] = { \
   0x11, 0x0a, 0x04, 0x0a, 0x11}; \
}";

/*****************************************************************/

#define pointer_ro_width 32
#define pointer_ro_height 32
#define pointer_ro_x_hot 29
#define pointer_ro_y_hot 2
static char pointer_ro_bits[] = {
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x1c, 0x00, 0x00, 0x00, 0x1f, 0x00, 0x00, 0xc0, 0x1f,
   0x00, 0x00, 0xf0, 0x0f, 0x00, 0x00, 0xfc, 0x0f, 0x00, 0x00, 0xff, 0x07,
   0x00, 0xc0, 0xff, 0x07, 0x00, 0xf0, 0xff, 0x03, 0x00, 0xfc, 0xff, 0x03,
   0x00, 0xff, 0xff, 0x01, 0xc0, 0xff, 0xff, 0x01, 0x00, 0xc0, 0xff, 0x00,
   0x00, 0xe0, 0xff, 0x00, 0x00, 0xf0, 0x7f, 0x00, 0x00, 0xf8, 0x7f, 0x00,
   0x00, 0xfc, 0x3d, 0x00, 0x00, 0xfe, 0x3c, 0x00, 0x00, 0x7f, 0x1c, 0x00,
   0x80, 0x3f, 0x1c, 0x00, 0xc0, 0x1f, 0x0c, 0x00, 0xe0, 0x0f, 0x0c, 0x00,
   0xf0, 0x07, 0x04, 0x00, 0xf8, 0x03, 0x04, 0x00, 0xf8, 0x01, 0x00, 0x00,
   0xf0, 0x00, 0x00, 0x00, 0x60, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};

static char *pointer_ro_data = "{ \
#define pointer_ro_width 32 \
#define pointer_ro_height 32 \
#define pointer_ro_x_hot 29 \
#define pointer_ro_y_hot 2 \
static char pointer_ro_bits[] = { \
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, \
   0x00, 0x00, 0x00, 0x1c, 0x00, 0x00, 0x00, 0x1f, 0x00, 0x00, 0xc0, 0x1f, \
   0x00, 0x00, 0xf0, 0x0f, 0x00, 0x00, 0xfc, 0x0f, 0x00, 0x00, 0xff, 0x07, \
   0x00, 0xc0, 0xff, 0x07, 0x00, 0xf0, 0xff, 0x03, 0x00, 0xfc, 0xff, 0x03, \
   0x00, 0xff, 0xff, 0x01, 0xc0, 0xff, 0xff, 0x01, 0x00, 0xc0, 0xff, 0x00, \
   0x00, 0xe0, 0xff, 0x00, 0x00, 0xf0, 0x7f, 0x00, 0x00, 0xf8, 0x7f, 0x00, \
   0x00, 0xfc, 0x3d, 0x00, 0x00, 0xfe, 0x3c, 0x00, 0x00, 0x7f, 0x1c, 0x00, \
   0x80, 0x3f, 0x1c, 0x00, 0xc0, 0x1f, 0x0c, 0x00, 0xe0, 0x0f, 0x0c, 0x00, \
   0xf0, 0x07, 0x04, 0x00, 0xf8, 0x03, 0x04, 0x00, 0xf8, 0x01, 0x00, 0x00, \
   0xf0, 0x00, 0x00, 0x00, 0x60, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, \
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00}; \
}";

/*****************************************************************/

#define pointer_ru_width 32
#define pointer_ru_height 32
#define pointer_ru_x_hot 29
#define pointer_ru_y_hot 29
static char pointer_ru_bits[] = {
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x60, 0x00, 0x00, 0x00, 0xf0, 0x00, 0x00, 0x00, 0xf8, 0x01, 0x00, 0x00,
   0xf8, 0x03, 0x04, 0x00, 0xf0, 0x07, 0x04, 0x00, 0xe0, 0x0f, 0x0c, 0x00,
   0xc0, 0x1f, 0x0c, 0x00, 0x80, 0x3f, 0x1c, 0x00, 0x00, 0x7f, 0x1c, 0x00,
   0x00, 0xfe, 0x3c, 0x00, 0x00, 0xfc, 0x3d, 0x00, 0x00, 0xf8, 0x7f, 0x00,
   0x00, 0xf0, 0x7f, 0x00, 0x00, 0xe0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00,
   0xc0, 0xff, 0xff, 0x01, 0x00, 0xff, 0xff, 0x01, 0x00, 0xfc, 0xff, 0x03,
   0x00, 0xf0, 0xff, 0x03, 0x00, 0xc0, 0xff, 0x07, 0x00, 0x00, 0xff, 0x07,
   0x00, 0x00, 0xfc, 0x0f, 0x00, 0x00, 0xf0, 0x0f, 0x00, 0x00, 0xc0, 0x1f,
   0x00, 0x00, 0x00, 0x1f, 0x00, 0x00, 0x00, 0x1c, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};

static char *pointer_ru_data = "{ \
#define pointer_ru_width 32 \
#define pointer_ru_height 32 \
#define pointer_ru_x_hot 29 \
#define pointer_ru_y_hot 29 \
static char pointer_ru_bits[] = { \
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, \
   0x60, 0x00, 0x00, 0x00, 0xf0, 0x00, 0x00, 0x00, 0xf8, 0x01, 0x00, 0x00, \
   0xf8, 0x03, 0x04, 0x00, 0xf0, 0x07, 0x04, 0x00, 0xe0, 0x0f, 0x0c, 0x00, \
   0xc0, 0x1f, 0x0c, 0x00, 0x80, 0x3f, 0x1c, 0x00, 0x00, 0x7f, 0x1c, 0x00, \
   0x00, 0xfe, 0x3c, 0x00, 0x00, 0xfc, 0x3d, 0x00, 0x00, 0xf8, 0x7f, 0x00, \
   0x00, 0xf0, 0x7f, 0x00, 0x00, 0xe0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, \
   0xc0, 0xff, 0xff, 0x01, 0x00, 0xff, 0xff, 0x01, 0x00, 0xfc, 0xff, 0x03, \
   0x00, 0xf0, 0xff, 0x03, 0x00, 0xc0, 0xff, 0x07, 0x00, 0x00, 0xff, 0x07, \
   0x00, 0x00, 0xfc, 0x0f, 0x00, 0x00, 0xf0, 0x0f, 0x00, 0x00, 0xc0, 0x1f, \
   0x00, 0x00, 0x00, 0x1f, 0x00, 0x00, 0x00, 0x1c, 0x00, 0x00, 0x00, 0x00, \
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00}; \
}";

/*****************************************************************/

#define pointer_lo_width 32
#define pointer_lo_height 32
#define pointer_lo_x_hot 2
#define pointer_lo_y_hot 2
static char pointer_lo_bits[] = {
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x38, 0x00, 0x00, 0x00, 0xf8, 0x00, 0x00, 0x00, 0xf8, 0x03, 0x00, 0x00,
   0xf0, 0x0f, 0x00, 0x00, 0xf0, 0x3f, 0x00, 0x00, 0xe0, 0xff, 0x00, 0x00,
   0xe0, 0xff, 0x03, 0x00, 0xc0, 0xff, 0x0f, 0x00, 0xc0, 0xff, 0x3f, 0x00,
   0x80, 0xff, 0xff, 0x00, 0x80, 0xff, 0xff, 0x03, 0x00, 0xff, 0x03, 0x00,
   0x00, 0xff, 0x07, 0x00, 0x00, 0xfe, 0x0f, 0x00, 0x00, 0xfe, 0x1f, 0x00,
   0x00, 0xbc, 0x3f, 0x00, 0x00, 0x3c, 0x7f, 0x00, 0x00, 0x38, 0xfe, 0x00,
   0x00, 0x38, 0xfc, 0x01, 0x00, 0x30, 0xf8, 0x03, 0x00, 0x30, 0xf0, 0x07,
   0x00, 0x20, 0xe0, 0x0f, 0x00, 0x20, 0xc0, 0x1f, 0x00, 0x00, 0x80, 0x1f,
   0x00, 0x00, 0x00, 0x0f, 0x00, 0x00, 0x00, 0x06, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};

static char *pointer_lo_data = "{ \
#define pointer_lo_width 32 \
#define pointer_lo_height 32 \
#define pointer_lo_x_hot 2 \
#define pointer_lo_y_hot 2 \
static char pointer_lo_bits[] = { \
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, \
   0x38, 0x00, 0x00, 0x00, 0xf8, 0x00, 0x00, 0x00, 0xf8, 0x03, 0x00, 0x00, \
   0xf0, 0x0f, 0x00, 0x00, 0xf0, 0x3f, 0x00, 0x00, 0xe0, 0xff, 0x00, 0x00, \
   0xe0, 0xff, 0x03, 0x00, 0xc0, 0xff, 0x0f, 0x00, 0xc0, 0xff, 0x3f, 0x00, \
   0x80, 0xff, 0xff, 0x00, 0x80, 0xff, 0xff, 0x03, 0x00, 0xff, 0x03, 0x00, \
   0x00, 0xff, 0x07, 0x00, 0x00, 0xfe, 0x0f, 0x00, 0x00, 0xfe, 0x1f, 0x00, \
   0x00, 0xbc, 0x3f, 0x00, 0x00, 0x3c, 0x7f, 0x00, 0x00, 0x38, 0xfe, 0x00, \
   0x00, 0x38, 0xfc, 0x01, 0x00, 0x30, 0xf8, 0x03, 0x00, 0x30, 0xf0, 0x07, \
   0x00, 0x20, 0xe0, 0x0f, 0x00, 0x20, 0xc0, 0x1f, 0x00, 0x00, 0x80, 0x1f, \
   0x00, 0x00, 0x00, 0x0f, 0x00, 0x00, 0x00, 0x06, 0x00, 0x00, 0x00, 0x00, \
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00}; \
}";

/*****************************************************************/

#define pointer_lu_width 32
#define pointer_lu_height 32
#define pointer_lu_x_hot 2
#define pointer_lu_y_hot 29
static char pointer_lu_bits[] = {
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x06, 0x00, 0x00, 0x00, 0x0f, 0x00, 0x00, 0x80, 0x1f,
   0x00, 0x20, 0xc0, 0x1f, 0x00, 0x20, 0xe0, 0x0f, 0x00, 0x30, 0xf0, 0x07,
   0x00, 0x30, 0xf8, 0x03, 0x00, 0x38, 0xfc, 0x01, 0x00, 0x38, 0xfe, 0x00,
   0x00, 0x3c, 0x7f, 0x00, 0x00, 0xbc, 0x3f, 0x00, 0x00, 0xfe, 0x1f, 0x00,
   0x00, 0xfe, 0x0f, 0x00, 0x00, 0xff, 0x07, 0x00, 0x00, 0xff, 0x03, 0x00,
   0x80, 0xff, 0xff, 0x03, 0x80, 0xff, 0xff, 0x00, 0xc0, 0xff, 0x3f, 0x00,
   0xc0, 0xff, 0x0f, 0x00, 0xe0, 0xff, 0x03, 0x00, 0xe0, 0xff, 0x00, 0x00,
   0xf0, 0x3f, 0x00, 0x00, 0xf0, 0x0f, 0x00, 0x00, 0xf8, 0x03, 0x00, 0x00,
   0xf8, 0x00, 0x00, 0x00, 0x38, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};

static char *pointer_lu_data = "{ \
#define pointer_lu_width 32 \
#define pointer_lu_height 32 \
#define pointer_lu_x_hot 2 \
#define pointer_lu_y_hot 29 \
static char pointer_lu_bits[] = { \
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, \
   0x00, 0x00, 0x00, 0x06, 0x00, 0x00, 0x00, 0x0f, 0x00, 0x00, 0x80, 0x1f, \
   0x00, 0x20, 0xc0, 0x1f, 0x00, 0x20, 0xe0, 0x0f, 0x00, 0x30, 0xf0, 0x07, \
   0x00, 0x30, 0xf8, 0x03, 0x00, 0x38, 0xfc, 0x01, 0x00, 0x38, 0xfe, 0x00, \
   0x00, 0x3c, 0x7f, 0x00, 0x00, 0xbc, 0x3f, 0x00, 0x00, 0xfe, 0x1f, 0x00, \
   0x00, 0xfe, 0x0f, 0x00, 0x00, 0xff, 0x07, 0x00, 0x00, 0xff, 0x03, 0x00, \
   0x80, 0xff, 0xff, 0x03, 0x80, 0xff, 0xff, 0x00, 0xc0, 0xff, 0x3f, 0x00, \
   0xc0, 0xff, 0x0f, 0x00, 0xe0, 0xff, 0x03, 0x00, 0xe0, 0xff, 0x00, 0x00, \
   0xf0, 0x3f, 0x00, 0x00, 0xf0, 0x0f, 0x00, 0x00, 0xf8, 0x03, 0x00, 0x00, \
   0xf8, 0x00, 0x00, 0x00, 0x38, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, \
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00}; \
}";
